Package org.codehaus.groovy.runtime.callsite

## Class CallSiteArray

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.CallSiteArray

-     public final class CallSiteArray
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CallSite[]` | `array` |
    `static java.lang.Object[]` | `NOPARAM` |
    `java.lang.Class` | `owner` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallSiteArray​(java.lang.Class owner, java.lang.String[] names)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Object` | `defaultCall​(CallSite callSite, java.lang.Object receiver, java.lang.Object[] args)` |
    `static java.lang.Object` | `defaultCallConstructor​(CallSite callSite, java.lang.Object receiver, java.lang.Object[] args)` |
    `static java.lang.Object` | `defaultCallCurrent​(CallSite callSite, GroovyObject receiver, java.lang.Object[] args)` |
    `static java.lang.Object` | `defaultCallStatic​(CallSite callSite, java.lang.Class receiver, java.lang.Object[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### array

          public final CallSite[] array

    - #### NOPARAM

          public static final java.lang.Object[] NOPARAM

    - #### owner

          public final java.lang.Class owner

  - ### Constructor Detail

    - #### CallSiteArray

          public CallSiteArray​(java.lang.Class owner,
                               java.lang.String[] names)

  - ### Method Detail

    - #### defaultCall

          public static java.lang.Object defaultCall​(CallSite callSite,
                                                     java.lang.Object receiver,
                                                     java.lang.Object[] args)
                                              throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### defaultCallCurrent

          public static java.lang.Object defaultCallCurrent​(CallSite callSite,
                                                            GroovyObject receiver,
                                                            java.lang.Object[] args)
                                                     throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### defaultCallStatic

          public static java.lang.Object defaultCallStatic​(CallSite callSite,
                                                           java.lang.Class receiver,
                                                           java.lang.Object[] args)
                                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### defaultCallConstructor

          public static java.lang.Object defaultCallConstructor​(CallSite callSite,
                                                                java.lang.Object receiver,
                                                                java.lang.Object[] args)
                                                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`